# Get Rate

## Get Rate

<mark style="color:blue;">`GET`</mark> `https://api-sandbox.shiplemon.com/v1/rates/:id`

This endpoint allows you to get the rate by id

#### Path Parameters

| Name | Type   | Description                                                                                                                                                                            |
| ---- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id   | string | <p>Id of the rate <br>To be able to get a rate by id you should first get rates<br><br>An example id of a rate is:<br><code>acs\_2.48\_0c4abcce-4546-48c7-a82c-56190628a734</code></p> |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
    "status": "ok",
    "data": {
        "id": "dhl_dhlexpress-domesticexpressdoc_20531b76ce4943bb95c51509fc6e945d",
        "driver": "dhl",
        "provider": {
            "name": "DHL Express",
            "image": "https://shippo-static.s3.amazonaws.com/providers/200/DHL.png"
        },
        "service": {
            "name": "DOMESTIC EXPRESS DOC",
            "estimated_delivery_in_days": 1
        },
        "total_amount": 26.34,
        "currency": "EUR",
        "printing_required": true,
        "transportation": "road",
        "metadata": {
            "items": [
                {
                    "weight": 2000,
                    "height": 10,
                    "width": 30,
                    "length": 20,
                    "notes": "Nike air max",
                    "value": 10,
                    "currency": "EUR"
                },
                {
                    "weight": 2000,
                    "height": 10,
                    "width": 30,
                    "length": 20,
                    "notes": "Nike air max",
                    "value": 10,
                    "currency": "EUR"
                }
            ],
            "address_from": {
                "country": "GR",
                "zip": "14451"
            },
            "address_to": {
                "country": "GR",
                "zip": "14121"
            }
        }
    }
}
```

{% endtab %}
{% endtabs %}

## Specific examples per language

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request GET 'https://api-sandbox.shiplemon.com/v1/rates/<rate_id>' \
--header 'x-api-key: <YOUR_API_KEY>' \
--header 'Content-Type: application/json'
```

{% endtab %}
{% endtabs %}

## Example response

```
{
    "status": "ok",
    "data": {
        "id": "ups_65_4e64eb17-222a-22ca-2218-ac228c5cb3da",
        "driver": "ups",
        "provider": {
            "name": "UPS",
            "image": "https://static.shiplemon.com/providers/ups.png"
        },
        "service": {
            "code": "ups_saver",
            "name": "UPS Saver",
            "estimated_delivery_in_days": 2
        },
        "total_amount": 13.61,
        "total_without_tax_amount": 10.98,
        "tax_amount": 2.63,
        "currency": "EUR",
        "printing_required": true,
        "has_cash_on_delivery": false,
        "has_custom_credentials": false,
        "has_shipment_pickup_combined": false,
        "has_tracking_code_on_pickup": false,
        "has_pickup": true,
        "has_mass_printing": false,
        "is_inaccessible": false,
        "has_customs_invoice_upload": true
        "has_saturday_delivery": true,
        "has_insurance_ability": true,
        "has_same_day_pickup": false,
        "pickup_slot_length_in_hours": 2,
        "pickup_same_day_latest_at": "16:00",
        "pickup_earliest_at": "12:00",
        "pickup_latest_at": "18:00",
        "transportation": "road",
        "metadata": {
            "items": [
                {
                    "weight": 3000,
                    "height": 10,
                    "width": 30,
                    "length": 20,
                    "notes": "Nike air max",
                    "value": 10,
                    "currency": "EUR"
                }
            ],
            "address_from": {
                "country": "GR",
                "zip": "11111",
                "name": "John Doe",
                "state": "I",
                "city": "Athens",
                "address": "Jane Street 1",
                "email": "john@mail.com",
                "phone": "+3000000000",
                "notes": ""
            },   
            "address_to": {
                "name": "SG2",
                "country": "GR",
                "state": "I",
                "city": "Athens",
                "zip": "11111",
                "address": "Jane Street 2",
                "email": "mary@mail.com",
                "phone": "+3000000000"
            }
        }    
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiplemon.com/endpoints/rates/get-rate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
